# Java 基本类型

> 原文： [https://javatutorial.net/java-primitive-types](https://javatutorial.net/java-primitive-types)

在本教程中，您将学习 Java 基本类型以及如何选择正确的基本类型。

变量分配计算机内存中的空间。 选择正确的原始类型以节省内存是很好的选择。 例如：要将大量从 -128 到 127 的数字存储到数组中，请将变量声明为`byte`，而不是`int`或`long`

```java
int intVariable = 24; // uses 32 bits of memory
long longVariable = 24L; // uses 64 bits of memory
byte byteVariable = 24; // uses 8 bits of memory
```

在上面的示例中，我们将数字 24 存储在具有不同原始类型的 3 个变量中。 注意这三种类型的内存分配量。 `byte`比`int`小 4 倍，比`long`小 8 倍

如果您来自其他编程语言（例如 C/C++），请注意 Java 中没有未签名的数据类型。 Java 中的所有原始类型均已签名。

## 字节

*   使用`byte`可以存储很多小数字。
*   使用 8 位内存
*   值范围：最小值 -128 和最大值 127
*   默认值为 0

## 短整型

*   使用`short`存储很多小数字，对于`byte`来说太大了
*   使用 16 位内存
*   值范围：最小值 -32,768 和最大值 32,767
*   默认值为 0

## 整型

*   用于存储或计算整数。 这是最常用的类型
*   使用 32 位内存
*   值范围：最小值 -2,147,483,648 和最大值 2,147,483,647
*   默认值为 0

## 长整型

*   使用`long`计算的整数对于`int`太大
*   使用 64 位内存
*   值范围：最小值 -9,223,372,036,854,775,808 和最大值 9,223,372,036,854,775,807
*   默认值为 0L

## 浮点

*   使用`float`存储或计算有理数（带小数点或科学计数法的数字）。 `float`的精度为 6 个十进制数字
*   使用 32 位内存
*   默认值为 0.0f

## 双精度浮点

*   与`float`相似，但范围更大，精度为 14 个十进制数字
*   使用 64 位内存
*   默认值为 0.0d

## 布尔值

*   只有两个可能的值：`true`和`false`。 使用`boolean`标记正确/错误条件
*   使用 1 位内存
*   默认值为`false`

## 字符

*   将`char`用于 Unicode 字符代码，包括`'\\'`，`'\n'`，`'\r'`，`'\t'`，`'\''`和`'\uxxxx'`
*   使用 16 位内存
*   值范围：最小值 0 和最大值 65535
*   默认值为 0

在我们的下一个教程中，您将学习 [Java 对象和类](https://javatutorial.net/java-objects-and-classes-tutorial)以及如何使用它们。