# 使用 Java 检索可用磁盘空间

> 原文： [https://javatutorial.net/free-disk-space-java](https://javatutorial.net/free-disk-space-java)

有时您想知道硬盘上还剩下多少磁盘空间。 有几种方法可以做到这一点。 在此示例中，我将向您展示如何使用 Apache Commons 来实现此目的。

您将需要`commons-io`来运行此示例。 您可以在 [apache 下载页面](http://commons.apache.org/proper/commons-io/download_io.cgi)上获得它，也可以使用 [Maven](https://javatutorial.net/how-to-install-maven-on-windows-linux-and-mac) 依赖项：

```java
<dependency>
    <groupId>org.apache.commons</groupId>
    <artifactId>commons-io</artifactId>
    <version>1.3.2</version>
</dependency>
```

这是一个示例方法，返回执行应用程序的驱动器的可用驱动器空间（以 KB 为单位）。

```java
private long getFreeSpaceKb() {
    try {
        return FileSystemUtils.freeSpaceKb(new File(".").getAbsolutePath());
    } catch (IOException e) {
        return 0;
    }
}
```

您可以在第 3 行上更改代码以检索特定驱动器上的可用空间：

```java
FileSystemUtils.freeSpaceKb(new File("c:")); // in windows
FileSystemUtils.freeSpaceKb(new File("/")); // in Unix/Linux
```