# Java 循环

> 原文： [https://javatutorial.net/java-loops](https://javatutorial.net/java-loops)

本教程介绍了 Java 循环的创建方式及其工作方式。

很多时候，您将需要多次在程序中执行代码片段，直到满足某些条件为止。 这就是循环的目的。

## Java `for`循环

借助`for`循环，您可以多次执行一系列代码行。 Java 中的`for`循环与其他编程语言（例如 C/C++）完全一样。`for`循环功能非常强大，但学习起来很简单。 在要迭代数据集合的所有情况下，它也主要用于搜索或排序算法。 这是`for`循环的一个简单示例：

```java
public class ForLoopExample {
	public static void main(String[] args) {
		for(int i=0; i<5; i++) {
			System.out.println("Iteration # " + i);
		}
	}
}
```

该示例的输出如下：

```java
Iteration # 0
Iteration # 1
Iteration # 2
Iteration # 3
Iteration # 4
```

`for`语句的一般形式可以表示如下：

```java
for (initialization; termination; increment) {
    statement(s)
}
```

初始化部分是您声明循环变量的地方。 请注意，此处初始化的变量仅在循环中可见，并在循环结束后销毁。 在我们的示例中，我们初始化了一个名为`i`的新`int`变量，并为其分配了零值。

`for(int i=0; i < 5; i++)`

`Termination`是布尔语句，它告诉循环执行多长时间。 在终止语句为真之前，循环将继续。 在我们的示例中，我们正在检查`i`的值是否小于 5

`for(int i=0; i < 5; i++)`

第三个参数 - 增量 - 在循环的每个循环之后执行。 在这里，我们可以增加初始化部分中声明的变量的值。

在我们的示例中，我们要做的是在每个循环周期后将`i`的值增加 1。 `i++`是一种简短形式，其功能与`i=i+1`完全相同。

`for(int i=0; i < 5; i++)`

## Java `while`循环

Java 中的另一个循环是`while`循环。

`while`循环的一般形式可以表示如下：

```java
while(condition) {
	// execute code here
}
```

条件是布尔值。 这意味着在条件为真之前，将执行`while`循环。 要了解有关布尔表达式[的更多信息，请阅读本教程](https://javatutorial.net/java-control-flow-statements)。 这次我将使用`while`循环而不是`for`循环重新创建第一个示例。

```java
public class WhileLoopExample {
	public static void main(String[] args) {
		int i=0;
		while(i<5) {
			System.out.println("Iteration # " + i);
			i++;
		}
	}
}
```

现在看上面的例子。 我们的控制变量`i`的初始化是在循环之外完成的，但递增 1 是在循环内部完成的。 输出与我们的第一个示例完全相同：

```java
Iteration # 0
Iteration # 1
Iteration # 2
Iteration # 3
Iteration # 4
```

循环通常与数组结合使用。 在我们的下一个教程 [Java 数组](http://javatutorial.net/java-array "Java Array")中，我将说明如何创建，使用和遍历数组。